<?php


namespace Fastrack\Location;


use Fastrack\Utilities\ModelUtilities;
use PlatoCreative\Imgix\Imgix;
use SilverStripe\Forms\FieldList;
use SilverStripe\ORM\DataObject;
use SilverStripe\ORM\FieldType\DBVarchar;
use SilverStripe\ORM\HasManyList;

/**
 * @property string $Name
 * @method HasManyList Places()
 * @method Imgix Image()
 */
class PlaceCategory extends DataObject
{
	private static string $table_name = 'place_category';

	private static array $db = [
		'Name' => 'Varchar(255)',
	];

	private static array $has_one = [
		'Image' => Imgix::class,
	];

	private static array $has_many = [
		'Places' => Place::class,
	];

	private static array $translate = [
		'Name',
	];

	private static array $owns = [
		'Image'
	];

	public function getCMSFields(): FieldList
	{
		$fields = parent::getCMSFields();
		$fields->removeByName('Places');
		ModelUtilities::hideConfigFields($this, $fields);
		return $fields;
	}

}
